



export function jsVar(variableName) {
    if (!(window["neoGlobalEnqueueBackendNeoAnimateBeta"] || window["neoGlobalEnqueueFrontendNeoAnimateBeta"])) { throw new Error("The neoWP JS variables have not been initialized yet. Problem with the enqueue global?"); }
    if (window["neoGlobalEnqueueBackendNeoAnimateBeta"]  && window["neoGlobalEnqueueBackendNeoAnimateBeta"][variableName]  !== undefined) { return window["neoGlobalEnqueueBackendNeoAnimateBeta"][variableName]; }
    if (window["neoGlobalEnqueueFrontendNeoAnimateBeta"] && window["neoGlobalEnqueueFrontendNeoAnimateBeta"][variableName] !== undefined) { return window["neoGlobalEnqueueFrontendNeoAnimateBeta"][variableName]; }
    throw new Error("Missing JS variable: " + variableName + ". Make sure it is registered via enqueue_js_variable_backend(...) or enqueue_js_variable_frontend(...).");
}


export function jsVarExists(variableName) {
    if (!(window["neoGlobalEnqueueBackendNeoAnimateBeta"] || window["neoGlobalEnqueueFrontendNeoAnimateBeta"])) { throw new Error("The neoWP JS variables have not been initialized yet. Problem with the enqueue global?"); }
    return (window["neoGlobalEnqueueBackendNeoAnimateBeta"] || window["neoGlobalEnqueueFrontendNeoAnimateBeta"])?.[variableName] !== undefined;
}
